> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wejam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Export paginated users data



## OpenAPI

````yaml https://api.wejam.ai/docs-json get /api/v1/data-exports/users
openapi: 3.0.0
info:
  contact: {}
  description: API description
  title: JAM
  version: 0.0.1
servers:
  - url: https://api.wejam.ai
security:
  - X-API-KEY: []
  - bearer: []
tags: []
paths:
  /api/v1/data-exports/users:
    get:
      tags:
        - data-export
      summary: Export paginated users data
      operationId: DataExportController_findUsers_v1
      parameters:
        - description: Page number starting from 1
          in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            type: number
        - description: Limit for the number of results per page. Maximum is 100
          in: query
          name: limit
          required: false
          schema:
            default: 10
            maximum: 100
            minimum: 1
            type: number
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataExportFindUsersResponseDTO'
          description: ''
components:
  schemas:
    DataExportFindUsersResponseDTO:
      properties:
        data:
          items:
            properties:
              createdAt:
                description: The date and time when the user was created
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                type: string
              email:
                description: The email address of the user
                format: email
                nullable: true
                pattern: >-
                  ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                type: string
              firstName:
                description: The first name of the user
                nullable: true
                type: string
              id:
                description: The unique identifier for the user
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                type: string
              lastName:
                description: The last name of the user
                nullable: true
                type: string
              teamIds:
                description: The list of teams the user belongs to
                items:
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  type: string
                type: array
            required:
              - id
              - email
              - firstName
              - lastName
              - teamIds
              - createdAt
            type: object
          type: array
        meta:
          properties:
            hasNext:
              type: boolean
            limit:
              type: number
            page:
              type: number
            total:
              type: number
          required:
            - total
            - page
            - limit
            - hasNext
          type: object
      required:
        - data
        - meta
      type: object
  securitySchemes:
    X-API-KEY:
      in: header
      name: X-API-KEY
      type: apiKey
    bearer:
      bearerFormat: JWT
      description: Enter your Bearer token
      scheme: bearer
      type: http

````